# Generated by Django 4.0.4 on 2022-06-09 06:11

from django.db import migrations


def delete_all_district_tags_pages(apps, schema_editor):
    Page = apps.get_model("wagtailcore", "Page")
    ContentType = apps.get_model("contenttypes", "ContentType")

    try:
        ct = ContentType.objects.get(app_label="district", model="districttagspage")
        Page.objects.filter(content_type=ct).delete()
    except ContentType.DoesNotExist:
        pass


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0086_alter_districtcontactpage_contact_people"),
    ]

    operations = [
        migrations.RunPython(delete_all_district_tags_pages, migrations.RunPython.noop),
    ]
